링크
GET https://0o0.online/api/links/
curl --request GET \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| 파라미터 | 세부 사항 | 설명 |
|---|---|---|
| search | 옵션 링크 | 검색 스트리트 입니다. |
| search_by | 옵션 링크 | 어떤 필드를 찾고 있는가? 허용된 값은 다음과 같습니다. url, location_url. |
| is_enabled | 옵션 폴란드 | |
| project_id | 옵션 전체 | |
| type | 옵션 링크 |
biolink, link, file, vcard, event, static |
| datetime_field | 옵션 링크 | 허용된 값 : datetime, last_datetime |
| datetime_start | 옵션 링크 | 이 날짜에서 시작하는 결과를 필터합니다. Y-m-d H:i:s 형식으로 |
| datetime_end | 옵션 링크 | 이 날짜까지 결과를 필터합니다. Y-m-d H:i:s 형식으로 |
| order_by | 옵션 링크 | 어떤 필드에서 결과를 주문할 수 있습니까? 허용된 값은 다음과 같습니다. link_id, datetime, last_datetime, clicks, url. |
| order_type | 옵션 링크 | 주문 결과. 허용된 값은 다음과 같습니다 : ASC 상승 명령에 대하여, 그리고 DESC 아래로 내려오는 주문 |
| page | 옵션 전체 | 원하는 페이지 번호 결과에서. 결함은 1. |
| results_per_page | 옵션 전체 | 페이지에 얼마나 많은 결과를 원하는지. 허용 값은 다음과 같습니다 : 10, 25, 50, 100, 250, 500, 1000. 결함은 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:21",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/links?page=1",
"last": "https://0o0.online/api/links?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/links?page=1"
}
}
GET https://0o0.online/api/links/{link_id}
curl --request GET \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:21",
}
}
POST https://0o0.online/api/links
| 파라미터 | 세부 사항 | 설명 |
|---|---|---|
| type | 옵션 링크 | link |
| location_url | 필수 링크 | 그들의 URL 목적지에 대해서는사용할 수 있는 경우 : is_bulk = 0 |
| location_urls | 필수 링크 | 그들의 URL 목적지에 대해서는사용할 수 있는 경우 : is_bulk = 1 |
| url | 옵션 링크 | 그들의 URL 생성된 링크의 alias. 우연히 생성된 하나를 위해 빈 것을 남겨 두십시오.사용할 수 있는 경우 : is_bulk = 0 |
| is_bulk | 옵션 폴란드 | |
| domain_id | 옵션 전체 | - |
| project_id | 옵션 전체 | - |
| pixels_ids | 옵션 아레아 전체 | - |
| email_reports | 옵션 아레아 | ID를 사용하는 정보 |
| schedule | 옵션 폴란드 | - |
| start_date | 옵션 링크 | 사용할 수 있는 경우 : schedule = true |
| end_date | 옵션 링크 | 사용할 수 있는 경우 : schedule = true |
| clicks_limit | 옵션 전체 | - |
| expiration_url | 옵션 링크 | - |
| sensitive_content | 옵션 폴란드 | - |
| http_status_code | 옵션 전체 | 허용된 값 : 301, 302, 307, 308 |
| app_linking_is_enabled | 옵션 폴란드 | - |
| cloaking_is_enabled | 옵션 폴란드 | - |
| cloaking_title | 옵션 링크 | - |
| cloaking_meta_description | 옵션 링크 | - |
| cloaking_custom_js | 옵션 링크 | - |
| cloaking_favicon | 옵션 파일 | - |
| cloaking_opengraph | 옵션 파일 | - |
| password | 옵션 링크 | - |
| forward_query_parameters_is_enabled | 옵션 폴란드 | - |
| seo_block | 옵션 폴란드 | - |
| utm_source | 옵션 링크 | - |
| utm_medium | 옵션 링크 | - |
| utm_campaign | 옵션 링크 | - |
| targeting_type | 옵션 링크 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = continent_code |
| targeting_continent_code_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = continent_code |
| targeting_country_code_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = country_code |
| targeting_country_code_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = country_code |
| targeting_city_name_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = city_name |
| targeting_city_name_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = city_name |
| targeting_device_type_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = device_type |
| targeting_device_type_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = device_type |
| targeting_browser_language_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = browser_language |
| targeting_browser_language_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = browser_language |
| targeting_rotation_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = rotation |
| targeting_rotation_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = rotation |
| targeting_os_name_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = os_name |
| targeting_os_name_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = os_name |
| targeting_browser_name_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = browser_name |
| targeting_browser_name_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = browser_name |
curl --request POST \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/links/{link_id}
| 파라미터 | 세부 사항 | 설명 |
|---|---|---|
| location_url | 옵션 링크 | 그들의 URL 목적지에 대해서는 |
| url | 옵션 링크 | 그들의 URL 생성된 링크의 alias. 우연히 생성된 하나를 위해 빈 것을 남겨 두십시오. |
| domain_id | 옵션 전체 | - |
| project_id | 옵션 전체 | - |
| pixels_ids | 옵션 아레아 전체 | - |
| email_reports | 옵션 아레아 | ID를 사용하는 정보 |
| schedule | 옵션 폴란드 | - |
| start_date | 옵션 링크 | 사용할 수 있는 경우 : schedule = true |
| end_date | 옵션 링크 | 사용할 수 있는 경우 : schedule = true |
| clicks_limit | 옵션 전체 | - |
| expiration_url | 옵션 링크 | - |
| sensitive_content | 옵션 폴란드 | - |
| http_status_code | 옵션 전체 | 허용된 값 : 301, 302, 307, 308 |
| app_linking_is_enabled | 옵션 폴란드 | - |
| cloaking_is_enabled | 옵션 폴란드 | - |
| cloaking_title | 옵션 링크 | - |
| cloaking_meta_description | 옵션 링크 | - |
| cloaking_custom_js | 옵션 링크 | - |
| cloaking_favicon | 옵션 파일 | - |
| cloaking_opengraph | 옵션 파일 | - |
| password | 옵션 링크 | - |
| forward_query_parameters_is_enabled | 옵션 폴란드 | - |
| seo_block | 옵션 폴란드 | - |
| utm_source | 옵션 링크 | - |
| utm_medium | 옵션 링크 | - |
| utm_campaign | 옵션 링크 | - |
| targeting_type | 옵션 링크 | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = continent_code |
| targeting_continent_code_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = continent_code |
| targeting_country_code_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = country_code |
| targeting_country_code_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = country_code |
| targeting_city_name_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = city_name |
| targeting_city_name_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = city_name |
| targeting_device_type_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = device_type |
| targeting_device_type_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = device_type |
| targeting_browser_language_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = browser_language |
| targeting_browser_language_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = browser_language |
| targeting_rotation_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = rotation |
| targeting_rotation_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = rotation |
| targeting_os_name_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = os_name |
| targeting_os_name_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = os_name |
| targeting_browser_name_key[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = browser_name |
| targeting_browser_name_value[index] | 옵션 링크 | 사용할 수 있는 경우 : targeting_type = browser_name |
| is_enabled | 옵션 폴란드 | - |
curl --request POST \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/links/{link_id}
curl --request DELETE \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \